PETSc version 3.15.5
Fix/Edit manual page

# SNESMonitorSolution

Monitors progress of the SNES solvers by calling VecView() for the approximate solution at each iteration.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorSolution(SNES snes,PetscInt its,PetscReal fgnorm,PetscViewerAndFormat *vf)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual
| dummy | - a viewer

### Options Database Keys

| -snes_monitor_solution [ascii binary draw][:filename][:viewer format] | - plots solution at each iteration

### See Also

SNESMonitorSet(), SNESMonitorDefault(), VecView()

### Level

intermediate

### Location

src/snes/interface/snesut.c

### Examples

src/snes/tutorials/ex12.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages